## com.lowagie.text
Class StringCompare

    java.lang.Object
      com.lowagie.text.StringCompare

All Implemented Interfaces:
  java.util.Comparator

    public class StringCompare

extends java.lang.Object
implements java.util.Comparator

This class was used in the 1.1-version of iText (by Volker Richert). Paulo Soares suggested I should add it to the original library, so that in the future it would be easier to port it to the JDK1.1.x.

Constructor Summary
`StringCompare()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Compares 2 objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### StringCompare

    public StringCompare()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Compares 2 objects.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `o1` - a first object
    `o2` - a second object
  Returns:
    a value
  Throws:
    `java.lang.ClassCastException` - if the objects aren't Strings